# Getting Started

**Welcome to the Department of Meteorology and Geophysics @ University of Vienna.**

🥳

Tasks to complete for newcomers, it is recommended that you print this page an tick off your steps:

 - [ ] Request a server account via your supervisor
 - [ ] Receive the inital user account information via mail.
 - [ ] Change your initial password, via
    - browser ([https://wolke.img.univie.ac.at/ipa/ui](https://wolke.img.univie.ac.at/ipa/ui))
    - ssh terminal `ssh [username]@srvx1.img.univie.ac.at`, follow the instructions in the command shell. Windows users install a ssh client 
    - Optional: Setup a password manager. [tips](https://zid.univie.ac.at/en/it-worlds/it-security/it-security-tips/password-manager/), e.g. Bitwarden
 - [ ] (optional windows) Install a SSH-Client, e.g. Bitwise, MobaXterm, Putty,...
 - [ ] (optional) setup ssh-key via [IPA](https://wolke.img.univie.ac.at/ipa/ui)
 - [ ] Familiarize yourself with the shell environment @SRVX1
 - [ ] Apply for your first VSC Training course
 - Login in to all servers:
      * [ ] srvx1 .img.univie.ac.at
      * [ ] srvx8
      * [ ] aurora
      * [ ] jet01/jet02
      * [ ] (optional) connect to vsc5.vsc.ac.at

## Environment

Please do the following steps to get a better idea of what is where:

Steps:
 
 - [ ] login to srvx1 using ssh: `ssh [user]@srvx1.img.univie.ac.at` :earth_africa:
 - [ ] run: `userpaths` to understand where different data resides. E.g.
    - HOME, SCRATCH (personal), DATA, SHARED, WEBDATA, ?_JET
 - [ ] check available modules by running: `module av` and load anaconda3 module by running: `module load anaconda3`. This should allow you to run some python programs.
 - [ ] run: `userservices` to get some IMGW special tools. Maybe check the weather!

Please find a useful summary of commands [here](./mkdocs/imgw-cheatsheet.pdf)

## Summary of Computing Resources

The Department of Meteorology and Geophysics has access to the following computing resources:

- Teaching and Development Server ([SRVX1](Servers/SRVX1.md))
- Remote Desktop Server ([SRVX8](Servers/SRVX8.md))
- Computing Cluster ([JET](Servers/JET.md))
- Vienna Scientific Cluster ([VSC](VSC.md))
- European Center for Medium-Range Weather Forecast ([ECMWF](ECMWF.md))

Please read about access, hardware and quotas at these different resources. A good starting point is [here](./Servers/README.md)