# Connection 101

Please find here some details on how to connect using SSH or VPN or VNC. And some other linux related terminal based information.

## General Access
Please use these methods to access the servers:

1. Connect using [SSH](SSH.md) or [MOSH](https://mosh.org/#) (Mobile Secure Shell)
2. Connect using [TeachingHub](../TeachingHub.md) or [ResearchHub](../Servers/JET.md#jupyterhub)
3. Connect using [VNC](VNC.md)
4. Access from outside the UNI, [VPN](VPN.md)

## Jupyterhub

Currently, there are two JupyterHub instances runnning:

- TeachingHub on SRVX1
- ResearchHub on Jet01 

Connect to either :

- [https://srvx1.img.univie.ac.at](https://srvx1.img.univie.ac.at) from everywhere 
- [https://jet01.img.univie.ac.at](https://jet01.img.univie.ac.at) from within the university network.

## Screen

[Screen](https://wiki.ubuntuusers.de/Screen/) is terminal session manager, that allows to start processes and reconnect to these processes after disconnection.
This starts a new session

```bash title="Screen"
# open a interactive screen session
screen -S longjob
```

You can detach from this session with `CTRL + A D` and reconnect again with `screen -r`.

Multiple Sessions can be created and the output saved (`-L` Option).

![](../mkdocs/img/screen-cheatsheet.png)

## Tmux
[Tmux](https://wiki.ubuntuusers.de/tmux/) is a terminal multiplexer, that allows to open more consoles and allows to detach the session. It is much more complex and powerful compared to screen.
``` bash title="Terminal Multiplexer"
tmux
```
Launches a new virtual terminal, with `CTRL + B D` it can bed detached and with `tmux a` it can be reconnected. 
![](https://linuxacademy.com/site-content/uploads/2016/08/tmux.png)

## Questions and Answers

- [Q: How to use ssh-key authentication?](Questions.md#q-how-to-use-ssh-key-authentication)
- [Q: How to use an ssh-agent?](Questions.md#q-how-to-use-an-ssh-agent)
- [Q: How to transfer files between two VPN networks?](Questions.md#q-how-to-transfer-files-between-two-vpn-networks)
- [Q: How to connect to Jet, SRVX8, SRVX2?](Questions.md#q-how-to-connect-to-jet-srvx8-srvx2)
- [Q: How to mount a remote file system on Linux (MAC)?](Questions.md#q-how-to-mount-a-remote-file-system-on-Linux-mac)

## Tools

Please find some useful tools for connecting to IMGW servers and University of Vienna VPN:

- BASH script using SSH to connect via a gateway, [SSH](SSH.md#connect-script) Download: [connect2jet](connect2jet)
- BASH script for 5fpc tools, [VPN](VPN.md#connect-script) Download: [connect2vpn](connect2vpn)
- Change VNC resolution, [VNC](VNC.md#xrandr) Download: [add_xrandr_resolution](add_xrandr_resolution.sh)
- Mount Server directories via sshfs, [SSHFS](SSH.md#sshfs)

??? note "connect2jet"

    ``` bash title="Connect to Jet"
    --8<-- "SSH-VPN-VNC/connect2jet"
    ```
    
??? note "connect2vpn"

    ``` bash title="Connect to VPN"
    --8<-- "SSH-VPN-VNC/connect2vpn"
    ```

??? note "add_xrandr_resolution"

    ``` bash title="Add a new monitor resolution to VNC"
    --8<-- "SSH-VPN-VNC/add_xrandr_resolution.sh"
    ```